events.listen('item.tags', function(e) {
	
    function add(tag, id) {
        e.get(tag).add(id);
    };

    function remove(tag, id) {
        e.get(tag).remove(id);
    };
	
    //silver
	remove('forge:ores', 'occultism:silver_ore');
	remove('forge:ores/silver', 'occultism:silver_ore');
	
	remove('forge:ores', 'immersiveengineering:ore_silver');
	remove('forge:ores/silver', 'immersiveengineering:ore_silver');
	
	remove('forge:ores', 'iceandfire:silver_ore');
	remove('forge:ores/silver', 'iceandfire:silver_ore');
	
	//copper
	remove('forge:ores', 'create:copper_ore');
	remove('forge:ores/copper', 'create:copper_ore');
	
	remove('forge:ores', 'iceandfire:copper_ore');
	remove('forge:ores/copper', 'iceandfire:copper_ore');
	
	remove('forge:ores', 'occultism:copper_ore');
	remove('forge:ores/copper', 'occultism:copper_ore');
	
	remove('forge:ores', 'immersiveengineering:ore_copper');
	remove('forge:ores/copper', 'immersiveengineering:ore_copper');
	
	//lead
	remove('forge:ores', 'eidolon:lead_ore');
	remove('forge:ores/lead', 'eidolon:lead_ore');
	
	remove('forge:ores', 'immersiveengineering:ore_lead');
	remove('forge:ores/lead', 'immersiveengineering:ore_lead');
	
	//tin
	remove('forge:ores', 'mysticalworld:tin_ore');
	remove('forge:ores/tin', 'mysticalworld:tin_ore');
	
	//aluminum
	remove('forge:ores', 'zycraft:aluminium_ore');
	remove('forge:ores/aluminium', 'zycraft:aluminium_ore');
	remove('forge:ores/aluminum', 'zycraft:aluminium_ore');
	
	//uranite
	remove('forge:ores', 'powah:uraninite_ore_poor');
	remove('forge:ores/uranite_poor', 'powah:uraninite_ore_poor');
	
	remove('forge:ores', 'powah:uraninite_ore');
	remove('forge:ores/uranite', 'powah:uraninite_ore');
	
	remove('forge:ores', 'powah:uraninite_ore_dense');
	remove('forge:ores/uranite_dense', 'powah:uraninite_ore_dense');
})

events.listen('block.tags', function(e) {
    function add(tag, id) {
        e.get(tag).add(id);
    };

    function remove(tag, id) {
        e.get(tag).remove(id);
    };
	
	//silver
	remove('forge:ores/silver', 'occultism:silver_ore');
	
	remove('forge:ores', 'immersiveengineering:ore_silver');
	remove('forge:ores/silver', 'immersiveengineering:ore_silver');
	
	remove('forge:ores', 'iceandfire:silver_ore');
	remove('forge:ores/silver', 'iceandfire:silver_ore');
	
	//copper
	remove('forge:ores', 'create:copper_ore');
	remove('forge:ores/copper', 'create:copper_ore');
	
	remove('forge:ores', 'iceandfire:copper_ore');
	remove('forge:ores/copper', 'iceandfire:copper_ore');
	
	remove('forge:ores', 'occultism:copper_ore');
	remove('forge:ores/copper', 'occultism:copper_ore');
	
	remove('forge:ores', 'immersiveengineering:ore_copper');
	remove('forge:ores/copper', 'immersiveengineering:ore_copper');
	
	//lead
	remove('forge:ores', 'eidolon:lead_ore');
	remove('forge:ores/lead', 'eidolon:lead_ore');
	
	remove('forge:ores', 'immersiveengineering:ore_lead');
	remove('forge:ores/lead', 'immersiveengineering:ore_lead');
	
	//tin
	remove('forge:ores', 'mysticalworld:tin_ore');
	remove('forge:ores/tin', 'mysticalworld:tin_ore');
	
	//aluminum
	remove('forge:ores', 'zycraft:aluminium_ore');
	remove('forge:ores/aluminium', 'zycraft:aluminium_ore');
	remove('forge:ores/aluminum', 'zycraft:aluminium_ore');
	
	//uranite
	remove('forge:ores', 'powah:uraninite_ore_poor');
	remove('forge:ores/uranite_poor', 'powah:uraninite_ore_poor');
	
	remove('forge:ores', 'powah:uraninite_ore');
	remove('forge:ores/uranite', 'powah:uraninite_ore');
	
	remove('forge:ores', 'powah:uraninite_ore_dense');
	remove('forge:ores/uranite_dense', 'powah:uraninite_ore_dense');	
	
	
})